Import-Module grouppolicy

New-GPO "Enterprise GPO"
Set-GPRegistryValue -Name "Enterprise GPO" -Key "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\System" -ValueName "DisableChangePassword" -Type DWORD -Value 1
Set-GPRegistryValue -Name "Enterprise GPO" -Key "HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\AU" -ValueName "NoAutoUpdate" -Type DWORD -Value 0
Set-GPRegistryValue -Name "Enterprise GPO" -Key "HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\AU" -ValueName "AUOptions" -Type DWORD -Value 2

New-GPO "DC GPO"
Set-GPRegistryValue -Name "DC GPO" -Key "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\System" -ValueName "DisableTaskMgr" -Type DWORD -Value 1

$usersContainer = [ADSI]"LDAP://CN=Users,DC=testing,DC=local"
$iw2testUser = $usersContainer.Create("user", "CN=iw2test")
$iw2testUser.Put("sAMAccountName", "iw2test") 
$iw2testUser.SetInfo()
$iw2testUser.SetPassword("aaaAAA111")
$iw2testUser.SetInfo()
$iw2testUser.InvokeSet("AccountDisabled", $false)
$iw2testUser.SetInfo()

$soGroup = [ADSI]"LDAP://CN=Server Operators,CN=Builtin,DC=testing,DC=local" 
$soGroup.Member.Add("CN=iw2test,CN=Users,DC=testing,DC=local") 
$soGroup.CommitChanges()
